job "httpd" {
  datacenters = ["molecule"]
  region      = "us-east-1"
  type        = "service"

  update {
    stagger      = "10s"
    max_parallel = 1
  }

  group "cache" {
    count = 0

    restart {
      attempts = 10
      interval = "5m"
      delay    = "25s"
      mode     = "delay"
    }

    task "httpd" {
      driver = "docker"

      config {
        image = "httpd:2.4"

        port_map {
          http = 80
        }
      }

      resources {
        network {
          mbits = 10
          port  "http"{
          }
        }
      }

      service {
        name = "http-check"
        tags = ["http"]
        port = "http"

        check {
          name     = "alive"
          type     = "tcp"
          interval = "10s"
          timeout  = "2s"
        }
      }
    }
  }
}
